package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
/**
 *  This class is a vehicle by which to override defaults for a particular
 *  feature, specifically the {@link FeatureShapeFactory} and the
 *  {@link FeatureTexture}.
 */
public class FeatureCharacteristics {

    public final int row;
    public final int col;
    public final FeatureShapeFactory factory;
    public final FeatureTexture texture;


    public FeatureCharacteristics(int row, int col,
            FeatureShapeFactory factory, FeatureTexture texture) {
        this.row = row;
        this.col = col;
        this.factory = factory;
        this.texture = texture;
    }

}
