package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/

/** 
 *  Microarray scan simulation application 
 */
public class MSSApp {

   static {
        try {
            X_Builtins.instantiateBuiltinHandlers();
            X_Builtins.registerBuiltinOperations();
        }
        catch (Exception e) {
            throw new RuntimeException("error in: " +
                    "X_Builtins.registerBuiltinOperations();");
        }
        X_Builtins.miscInit();
    }



    static public void main(String[] args) throws Exception {
        boolean viewer = false;

        if (args.length == 0) {
            new MSSGUI();
        }

        else {
            MSSCommandLine.processParams(args);
        }
    }

}
