package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
/**
 * A float equivalent to the {@link java.awt.Dimension} class that is also
 * a {@link SelfScaler}.
 */
public class MaDimensions implements SelfScaler {

    public final float width;
    public final float height;

    public MaDimensions(float width, float height) {
        this.width = width;
        this.height = height;
    }

    public Object getScaled(float pixelSize) {
        return new MaDimensions(width/pixelSize, height/pixelSize);
    }

}
