package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
import org.jdom.Element;

/**
 *  Exception for a missing element while parsing XML.
 */
public class XMLMissingElementException extends XMLParseException {
    String expectedElem;

    public XMLMissingElementException(Element parentElem, String expectedElem) {
        super("Missing element " + expectedElem + " within element " +
                parentElem.getName(), parentElem);
        this.expectedElem = expectedElem;
    }

}
