package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
/**
 * An exception for when flat file data is missing a required column.
 */
public class DatMissingColumn extends DatException {
    public DatMissingColumn( ) {
        super("The columns you specified for the intensities data are not " +
              "sufficient.  Columns must include either ZoneIndex or " +
              "both Metarow and Metacol.");
    }

}
