package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
import java.lang.reflect.Array;

/**
 *  Class creates a 'double' array from an array of type Object
 *  (that is actually filled with Double).
 */
public class DoubleArrayer extends PrimitiveArrayer {
    public Object genArray(Object[] parsedItems) {
        Object array = Array.newInstance(double.class, parsedItems.length);
        for (int i=0; i<parsedItems.length; ++i) {
            Array.setDouble(array, i, ((Double)parsedItems[i]).doubleValue());
        }
        return array;
    }
}
