package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
/**
 * An exception for when external data is of the wrong format -- occurs while
 * trying to parse a string.
 */
public class ExtDataFormatException extends Exception {

    public ExtDataFormatException(String tag, String text, Class type) {
        super("Format error in external data " + tag + "; text = \"" + text +
                "\"; type = " + type.getName());
    }

}
