package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
/**
 * An exception for any error related to fetching external data.
 */
public class ExternalDataException extends Exception {

    public ExternalDataException(String msg, Throwable cause) {
        super(msg, cause);
    }

    public ExternalDataException(String msg) {
        super(msg);
    }

    public ExternalDataException(Throwable cause) {
        super(cause);
    }

}
