package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
import org.jdom.*;
//import org.jdom.filter.ContentFilter;
import org.jdom.filter.Filter;


public class ExternalDataFilter implements Filter {

    public boolean matches(Object obj) {
        if (!(obj instanceof Element)) {
            return false;
        }

        String elemName = ((Element)obj).getName();
        return elemName.startsWith("ext_");
    }

}
