package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
import java.io.File;
import java.io.FileFilter;

public class FileExtensionFilter implements FileFilter {

    private String extension;

    public FileExtensionFilter(String extension) {
        this.extension = extension;
    }

    public boolean accept(File f) {
        return f.getName().endsWith("." + extension);
    }
}
