package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
/**
 *  Encapsulation of the number of channels to be in the image.
 *  This data is handled separately (and in an anomylous way) because
 *  it is useful in many contexts and easier for some objects to have the
 *  data in advance.
 */
public class NumberOfChannels {

    public final int numberOfChannels;

    public NumberOfChannels(int numberOfChannels) {
        this.numberOfChannels = numberOfChannels;
    }
}
