package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
import java.awt.geom.Point2D;
import java.awt.image.RenderedImage;

/**
 *  A struct-like class that encapsulates data about the contact point of
 *  a spotter tip.
 */
public class SpotterTipContact {
    public final Point2D tipCenter;
    public final RenderedImage markImage;

    public SpotterTipContact(Point2D tipCenter, RenderedImage markImage) {
        this.tipCenter = tipCenter;
        this.markImage = markImage;
    }
}
