package org.cybertory.MSS;

/*--------------------------------------------------------
|                   COPYRIGHT (c) 2005
|          Attotron Biotechnologies Corporation
|    Distributed under the GNU general public license:
|     http://www.fsf.org/licensing/licenses/gpl.txt
|
| Avaliable from: http://www.cybertory.org
|         Author: Bill Martin  <eco_bill@yahoo.com>
|      Funded by: NIH SBIR grant #R44 RR13645 02A2
--------------------------------------------------------*/
import java.awt.geom.Point2D;

/**
 *  An interface for classes that provide access for data about zones.
 */
public interface ZonesInfo extends SelfScaler {
    public int getNumZones();
    public Point2D getZoneLocation(int zoneIndex);
    public float[][][] getZoneIntensities(int zoneIndex);
    public ZoneCharacteristics getZoneCharacteristics(int zoneIndex);
}
